Bug 694483 - Gnome 3/Gnome-shell: screen not locked upon suspend/resume
Gnome 3/Gnome-shell: screen not locked upon suspend/resume
Status: CLOSED DUPLICATE of bug 698135
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-07 09:37 EDT by mlaverdiere
Modified: 2011-04-21 22:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 22:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mlaverdiere 2011-04-07 09:37:15 EDT
Description of problem:

While it is possible to have the screen locked after a certain time or upon screen closing (through screen settings in Gnome 3 system settings), it doesn't the same option is not available (in Power settings, for example) for suspend/resume operations (maybe this option is hidden somewhere in gconf or dconf settings?).

Not having this option may result in a security problem.
Comment 1 Robert Swain 2011-04-17 06:46:10 EDT
This bug affects me too. As I recall, in Gnome 2 one had to set the screensaver option to lock the screen when the computer was idle. Regardless, however this should work in Gnome 3 with gnome-shell, I would also like it to work.
Comment 2 Brian Pepple 2011-04-20 10:41:41 EDT
Hmmm, my laptop's screen locks during suspend/resume operations fine (and has for a while now). This bug might be only affecting some folks.
Comment 3 mlaverdiere 2011-04-21 07:18:05 EDT
I've tested it on 2 different laptops, with quite different specs (Dell Inspiron 1440 and Dell Studio 1458), on F15 freshly updated, and in both cases, I get no lock (luck!) upon suspend/resume...  On the other hand, "lock process" works fine either manualy, or upon automatic screen extinction.

Is there a particular setting to check somewhere?
Comment 4 Charles R. Anderson 2011-04-21 22:15:08 EDT

*** This bug has been marked as a duplicate of bug 698135 ***

Note You need to log in before you can comment on or make changes to this bug.